Name: icinga-director
Version: 1.11.3+0.gde8fe109
Release: 1741388613.fc41
Summary: Configuration deployment tool in the Icinga ecosystem

Group: Applications/System
License: GPLv2
URL: https://icinga.com/
Source0: icinga-director-1.11.3+0.gde8fe109.tgz

Requires: icinga-director-daemon = 1.11.3+0.gde8fe109-1741388613.fc41
Requires: icinga-director-web = 1.11.3+0.gde8fe109-1741388613.fc41

BuildArch: noarch

%description
Icinga Director is the configuration deployment tool in the Icinga ecosystem,
designed for automating configuration deployments,
but also for making changes directly in the webinterface.

%package php
Requires: icingaweb2-common >= 2.10.3
Requires: icinga-php-incubator >= 0.22.0
Summary: Icinga Director PHP files

%description php
PHP files for Icinga Director.

%package daemon
BuildRequires: systemd-rpm-macros

Requires(pre): shadow-utils

Requires: icinga-director-php = 1.11.3+0.gde8fe109-1741388613.fc41
Requires: icingacli >= 2.10.3

Requires: php-process

Summary: Icinga Director daemon files

%description daemon
Daemon files for Icinga Director.

%package web
Requires: icingaweb2 >= 2.10.3
Requires: icinga-director-php = 1.11.3+0.gde8fe109-1741388613.fc41
Summary: Icinga Director web files

%description web
Web files for Icinga Director.

%prep
%autosetup

%build

%install
install -dm 0755 %_topdir/BUILD/icinga-director-1.11.3+0.gde8fe109-build/BUILDROOT/usr/share/icingaweb2/modules/director
find . -type f -not -name LICENSE -not -name README.md -maxdepth 1 -exec cp -p "{}" %_topdir/BUILD/icinga-director-1.11.3+0.gde8fe109-build/BUILDROOT/usr/share/icingaweb2/modules/director \;
find . -type d -not -path . -maxdepth 1 -exec cp -pr "{}" %_topdir/BUILD/icinga-director-1.11.3+0.gde8fe109-build/BUILDROOT/usr/share/icingaweb2/modules/director \;
install -Dpm 0644 contrib/systemd/icinga-director.service %_topdir/BUILD/icinga-director-1.11.3+0.gde8fe109-build/BUILDROOT/usr/lib/systemd/system/icinga-director.service
install -dm 0750 %_topdir/BUILD/icinga-director-1.11.3+0.gde8fe109-build/BUILDROOT/var/lib/icingadirector

%files

%files php
%doc README.md
%docdir /usr/share/icingaweb2/modules/director/doc
%license LICENSE
/usr/share/icingaweb2/modules/director

%post php
if [ $1 == 1 ]; then
if [ ! -d /etc/icingaweb2/enabledModules ]; then
install -dm 2770 -g icingaweb2 /etc/icingaweb2/enabledModules
fi

ln -sf /usr/share/icingaweb2/modules/director /etc/icingaweb2/enabledModules/director
fi

%preun php
if [ $1 == 0 ]; then
rm -f /etc/icingaweb2/enabledModules/director
fi

%files daemon
/usr/lib/systemd/system/icinga-director.service
%attr(-,icingadirector,icingaweb2) /var/lib/icingadirector

%pre daemon
getent passwd icingadirector >/dev/null || useradd -r -G icingaweb2 -d /var/lib/icingadirector -s /sbin/nologin icingadirector

%post daemon

if [ $1 -eq 1 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper install-system-units icinga-director.service || :
fi

%preun daemon

if [ $1 -eq 0 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper remove-system-units icinga-director.service || :
fi

%postun daemon

if [ $1 -ge 1 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper mark-restart-system-units icinga-director.service || :
fi

test "$1" != 0 || userdel -rf icingadirector &>/dev/null || :

%files web

%changelog
* Fri Mar 07 2025 Icinga GmbH <info@icinga.com> - 1.11.3+0.gde8fe109-1741388613$RPM_DIST
- Version 1.11.3+0.gde8fe109-1741388613

